import { parseColorHexRGB } from '@microsoft/fast-colors';
import { SwatchRGB } from '@microsoft/fast-components';
import { DesignToken } from '@microsoft/fast-foundation';
import { ColorHEX } from '../../_common';
const { create } = DesignToken;
/**
 * @internal
 */
const errorColorRGB = parseColorHexRGB(ColorHEX.error);
export const defaultErrorColor = SwatchRGB.create(errorColorRGB.r, errorColorRGB.g, errorColorRGB.b);
/** @public */
export const errorColor = create('error-color').withDefault(defaultErrorColor);
/**
 * @internal
 */
const successColorRGB = parseColorHexRGB(ColorHEX.success);
export const defaultSuccessColor = SwatchRGB.create(successColorRGB.r, successColorRGB.g, successColorRGB.b);
/** @public */
export const successColor = create('success-color').withDefault(defaultSuccessColor);
/**
 * @internal
 */
const warningColorRGB = parseColorHexRGB(ColorHEX.warning);
export const defaultWarningColor = SwatchRGB.create(warningColorRGB.r, warningColorRGB.g, warningColorRGB.b);
/** @public */
export const warningColor = create('warning-color').withDefault(defaultWarningColor);
/**
 * @internal
 */
const buyColorRGB = parseColorHexRGB(ColorHEX.buy);
export const defaultBuyColor = SwatchRGB.create(buyColorRGB.r, buyColorRGB.g, buyColorRGB.b);
/** @public */
export const buyColor = create('buy-color').withDefault(defaultBuyColor);
/**
 * @internal
 */
const sellColorRGB = parseColorHexRGB(ColorHEX.sell);
export const defaultSellColor = SwatchRGB.create(sellColorRGB.r, sellColorRGB.g, sellColorRGB.b);
/** @public */
export const sellColor = create('sell-color').withDefault(defaultSellColor);
