import { html } from 'lit-html';
import { logger } from '../utils/logger';
const meta = {
    title: 'Actions Menu',
    component: 'zero-actions-menu',
};
export default meta;
const zeroActions = [
    {
        name: 'View',
        callback: (rowData) => logger.debug('VIEWW!!!', rowData),
    },
    {
        name: 'Delete',
        callback: (rowData) => logger.debug('DELETE!!!', rowData),
    },
    {
        name: 'Edit',
        callback: (rowData) => logger.debug('EDIT!!!', rowData),
    },
    {
        name: 'Wait',
        callback: (rowData) => logger.debug('WAIT???', rowData),
    },
];
const horizontalStyle = 'flex: 1; display: flex; justify-content: center;';
export const Horizontal = {
    args: {
        actions: zeroActions,
        actionsOpenerText: 'Horizontal Actions',
    },
    render: (args) => html `
    <div style="${horizontalStyle}">
      <zero-actions-menu
        name="${args.actionsOpenerText}"
        .actions=${args.actions}
      ></zero-actions-menu>
    </div>
  `,
};
const verticalStyle = 'flex: 1; display: flex; height: 400px; justify-content: center;';
export const Vertical = {
    args: {
        actions: zeroActions,
        actionsOpenerText: 'Vertical Actions',
    },
    render: ({ actionsOpenerText, actions }) => html `
    <div style="${verticalStyle}">
      <zero-actions-menu
        name="${actionsOpenerText}"
        .actions=${actions}
        is-vertical
      ></zero-actions-menu>
    </div>
  `,
};
