import { html } from 'lit-html';
import { ZeroAppearanceValues } from '../_common/colors';
const meta = {
    title: 'Anchor',
    component: 'zero-anchor',
};
export default meta;
const wrapperStyle = 'display: flex; flex-direction: column; justify-content: space-between; height: 500px';
const StylesMapperTemplate = {
    render: ({ appearances, anchorText }) => html `
    <div style="${wrapperStyle}">
      ${appearances.map((appearanceName) => html `
          <zero-anchor appearance="${appearanceName}">
            ${anchorText} (${appearanceName})
          </zero-anchor>
        `)}
    </div>
  `,
};
export const All = Object.assign({ args: {
        anchorText: 'Rapid Anchor',
        appearances: ZeroAppearanceValues,
    } }, StylesMapperTemplate);
