import { html } from 'lit-html';
const meta = {
    title: 'Anchored Region',
    component: 'zero-anchored-region',
};
export default meta;
const wrapperStyle = 'display: flex; flex-direction: column; justify-content: space-between; height: 500px';
const StylesMapperTemplate = {
    render: ({ anchorText }) => html `
    <zero-card style=${wrapperStyle}>
      <div
        id="viewport"
        style="margin-top: 20px; display: flex; justify-content: center; align-items: center;"
      >
        <zero-button id="anchor-b1">Button is an anchor</zero-button>
        <zero-anchored-region
          anchor="anchor-b1"
          vertical-positioning-mode="locktodefault"
          vertical-default-position="top"
        >
          <h6>${anchorText}</h6>
        </zero-anchored-region>
      </div>
    </zero-card>
  `,
};
export const Default = Object.assign({ args: {
        anchorText: 'This will show above button',
    } }, StylesMapperTemplate);
