import { html } from 'lit-html';
import { FastAppearanceValues, ZeroAppearanceValues } from '../_common/colors';
const meta = {
    title: 'Banner',
    component: 'zero-banner',
};
export default meta;
const showNotify = (notifyText) => {
    var _a;
    let errorBanner = document.querySelector('#js-banner');
    if (!errorBanner) {
        errorBanner = document.createElement('zero-banner');
        errorBanner.id = 'js-banner';
        (_a = document.querySelector('#zero-banner')) === null || _a === void 0 ? void 0 : _a.appendChild(errorBanner);
    }
    errorBanner.notification = {
        title: 'Notify Title',
        body: `${notifyText} ID - notify - ${Math.random()}`,
        config: {
            banner: {
                confirmingActions: [
                    {
                        label: 'Action',
                        action: () => {
                            alert('Action in progress');
                        },
                    },
                ],
            },
        },
    };
};
const ignoreClick = (e) => {
    const banner = document.querySelector('#banner');
    banner.dismiss();
};
export const Primary = {
    args: {
        notifyText: 'Lorem ipsum dolor sit amet consectetur adipisicing elit.',
        bannerText: ` Lorem ipsum dolor sit amet consectetur adipisicing elit. Lorem ipsum dolor sit amet.
      Lorem, ipsum dolor.`,
        actionIgnoreActionText: 'Ignore',
        actionDemoText: 'Diagnose',
        actionButtonAppearance: 'lightweight',
    },
    argTypes: {
        actionButtonAppearance: {
            control: 'select',
            options: [...FastAppearanceValues, ...ZeroAppearanceValues],
        },
    },
    render: ({ bannerText, notifyText, actionButtonAppearance, actionIgnoreActionText, actionDemoText, }) => html `
    <div style="display: flex; flex-direction: column;">
      <h5>Banner with slots</h5>
      <zero-banner id="banner">
        <div slot="content">${bannerText}</div>
        <zero-button slot="action" @click="${ignoreClick}" appearance="${actionButtonAppearance}">
          ${actionIgnoreActionText}
        </zero-button>
        <zero-button slot="action" appearance="${actionButtonAppearance}">
          ${actionDemoText}
        </zero-button>
      </zero-banner>
      <h5>Empty Banner</h5>
      <zero-banner></zero-banner>
      <div id="zero-banner" style="width: 100%;">
        <zero-button @click="${() => showNotify(notifyText)}">
          Show Zero Banner - Notification Structure
        </zero-button>
      </div>
    </div>
  `,
};
