import { html } from 'lit-html';
import { FastAppearanceValues, ZeroAppearanceValues } from '../_common/colors';
const meta = {
    title: 'Button',
    component: 'zero-button',
};
export default meta;
const wrapperStyle = 'display: flex; flex-direction: column; justify-content: space-between; height: 500px';
const StylesMapperTemplate = {
    render: ({ appearances, buttonText }) => html `
    <div style="${wrapperStyle}">
      ${appearances.map((appearanceName) => html `
            <zero-button appearance="${appearanceName}">
             ${buttonText} (${appearanceName})
            </zero-anchor>
          `)}
    </div>
  `,
};
export const All = Object.assign({ args: {
        appearances: ZeroAppearanceValues,
        buttonText: 'Zero Button',
    } }, StylesMapperTemplate);
export const Single = {
    args: {
        appearance: 'neutral',
        buttonText: 'Zero Button',
    },
    argTypes: {
        appearance: {
            control: 'select',
            options: [...FastAppearanceValues, ...ZeroAppearanceValues],
        },
    },
    render: ({ appearance, buttonText }) => html `
    <zero-button appearance="${appearance}">${buttonText} (${appearance})</zero-button>
  `,
};
