import { html } from 'lit-html';
const meta = {
    title: 'Combobox',
    component: 'zero-combobox',
};
export default meta;
const wrapperStyle = 'height: 500px; width: 100%; display: flex; justify-content: center; align-items: center;';
const renderOption = (option) => html `
  <zero-option value="${option.value}">${option.text}</zero-option>
`;
const OptionsMapperTemplate = {
    render: ({ options, position }) => html `
    <div style="${wrapperStyle}">
      <div style="display: flex">
        Combobox
        <zero-combobox position="${position}">${options.map(renderOption)}</zero-combobox>
      </div>
      <div style="display: flex">
        Case-Sensitive Combobox
        <zero-combobox position="${position}" case-sensitive>
          ${options.map(renderOption)}
        </zero-combobox>
      </div>
      <div style="display: flex">
        Combobox with Ignore Input Click
        <zero-combobox position="${position}" ignore-input-click>
          ${options.map(renderOption)}
        </zero-combobox>
      </div>
    </div>
  `,
};
const optionsData = [
    { text: 'Zero Option 1', value: 1 },
    { text: 'Zero Option 2', value: 2 },
    { text: 'Zero Option 3', value: 3 },
    { text: 'Zero Option 4', value: 4 },
    { text: 'Zero Option 5', value: 5 },
    { text: 'ABC', value: 'ABC' },
    { text: 'GBp', value: 'GBp' },
    { text: 'GBP', value: 'GBP' },
    { text: 'GbP', value: 'GbP' },
    { text: 'USD', value: 'USD' },
];
export const Primary = Object.assign(Object.assign({}, OptionsMapperTemplate), { argTypes: {
        position: {
            control: 'select',
            options: ['above', 'below'],
        },
    }, args: {
        options: optionsData,
        position: 'below',
    } });
