import { html } from 'lit-html';
import { FastAppearanceValues } from '../_common/colors';
const meta = {
    title: 'Disclosure',
    component: 'zero-disclosure',
};
export default meta;
export const Primary = {
    argTypes: {
        fastAppearance: {
            control: 'select',
            options: FastAppearanceValues,
        },
    },
    args: {
        disclosureTitle: 'Open Disclosure',
        disclosureText: `Created by writer Gardner Fox and artist Harry Lampert, the original Flashfirst appeared
    in Flash Comics #1 (cover date January 1940/release monthNovember 1939). Nicknamed the
    "Scarlet Speedster", all incarnations of theFlash possess "super speed", which includes
    the ability to run, move, andthink extremely fast, use superhuman reflexes, and seemingly
    violatecertain laws of physics.`,
        disclosureEndSlot: '⚡️',
        fastAppearance: 'lightweight',
    },
    render: ({ fastAppearance, disclosureTitle, disclosureText, disclosureEndSlot }) => html `
    <zero-disclosure appearance="${fastAppearance}" title="${disclosureTitle}">
      <span slot="end">${disclosureEndSlot}</span>
      <div>${disclosureText}</div>
    </zero-disclosure>
  `,
};
