import { html } from 'lit-html';
const meta = {
    title: 'Error Dialog',
    component: 'zero-error-dialog',
};
export default meta;
const showDialog = (errorText) => {
    const dialog = document.createElement('zero-error-dialog');
    const container = document.getElementById('error-dialog-container');
    container.appendChild(dialog);
    dialog.error = {
        title: 'Error Title',
        errorDetails: `${errorText} ID - ${Math.random()}`,
        config: {
            dialog: {
                confirmingActions: [
                    {
                        label: 'Action',
                        action: () => {
                            alert('Action in progress');
                        },
                    },
                ],
            },
        },
    };
    dialog.show();
};
const showDialogNotify = (notifyText) => {
    const dialog = document.createElement('zero-error-dialog');
    const container = document.getElementById('error-dialog-container');
    container.appendChild(dialog);
    dialog.notification = {
        title: 'Notify Title',
        body: `${notifyText} ID - notify - ${Math.random()}`,
        config: {
            dialog: {
                confirmingActions: [
                    {
                        label: 'Action',
                        action: () => {
                            alert('Action in progress');
                        },
                    },
                ],
            },
        },
    };
    dialog.show();
};
export const Primary = {
    args: {
        errorText: 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Lorem ipsum dolor sit amet',
        notifyText: 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Lorem ipsum dolor sit amet',
    },
    render: ({ errorText, notifyText }) => html `
    <zero-button @click="${() => showDialog(errorText)}">Show Zero Dialog</zero-button>
    <zero-button @click="${() => showDialogNotify(notifyText)}">
      Show Zero Dialog - Notification
    </zero-button>
    <div id="error-dialog-container"></div>
  `,
};
