import { HorizontalScroll as FoundationHorizontalScroll, foundationHorizontalScrollShadowOptions, } from '@genesislcap/foundation-ui';
import { html } from '@microsoft/fast-element';
import { zeroHorizontalScrollStyles as styles } from './horizontal-scroll.styles';
import { zeroHorizontalScrollTemplate as template } from './horizontal-scroll.template';
/**
 * @tagname %%prefix%%-horizontal-scroll
 */
export class HorizontalScroll extends FoundationHorizontalScroll {
}
export const defaultHorizontalScrollZeroConfig = {
    nextFlipper: html `
    <zero-flipper
      @click="${(x) => x.scrollToNext()}"
      aria-hidden="${(x) => x.flippersHiddenFromAT}"
    ></zero-flipper>
  `,
    previousFlipper: html `
    <zero-flipper
      @click="${(x) => x.scrollToPrevious()}"
      direction="previous"
      aria-hidden="${(x) => x.flippersHiddenFromAT}"
    ></zero-flipper>
  `,
};
export const zeroHorizontalScroll = HorizontalScroll.compose(Object.assign({ baseName: 'horizontal-scroll', template,
    styles, shadowOptions: foundationHorizontalScrollShadowOptions }, defaultHorizontalScrollZeroConfig));
