import { html } from 'lit-html';
import { repeat } from 'lit-html/directives/repeat.js';
const meta = {
    title: 'Horizontal Scroll',
    component: 'zero-horizontal-scroll',
};
export default meta;
const horizontalScrollStyle = 'width: 400px;padding-left: 16px;';
const cardStyle = 'padding: 10px;';
const cards = Array.from({ length: 8 }, (_, i) => i + 1);
export const Primary = {
    render: () => html `
    <zero-horizontal-scroll style=${horizontalScrollStyle}>
      ${repeat(cards, (item) => item, (item) => html `
          <zero-card style=${cardStyle}>
            Card number ${item}
            <zero-button>A button</zero-button>
          </zero-card>
        `)}
    </zero-horizontal-scroll>
  `,
};
