import { foundationSearchBarComboboxStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
import { ColorHEX, defaultRapidBGColor, defaultRapidBorderUnfocusedColor, defaultRapidTextColor, PrimaryRapidColorHEX, } from '../_common';
export const zeroSearchBarComboboxStyles = (context, definition) => css `
  ${foundationSearchBarComboboxStyles(context, definition)}

  :host {
    --primary-gradient-angle: -113.5deg;

    border-radius: calc(var(--control-corner-radius) * 1px);
    border-color: ${defaultRapidBorderUnfocusedColor};
    background: ${defaultRapidBGColor};
  }

  :host(:focus-within:not([disabled])) {
    background:
      linear-gradient(
          var(--primary-gradient-angle),
          ${PrimaryRapidColorHEX.blue} 0%,
          ${PrimaryRapidColorHEX.purple} 100%
        )
        top/100% 1px,
      linear-gradient(
          var(--primary-gradient-angle),
          ${PrimaryRapidColorHEX.blue} 0%,
          ${PrimaryRapidColorHEX.purple} 100%
        )
        bottom/100% 1px;
    background-origin: border-box;
    background-repeat: no-repeat;
    border: 1px solid transparent;
    border-right-color: ${PrimaryRapidColorHEX.blue};
    border-left-color: ${PrimaryRapidColorHEX.purple};
  }

  :host(:hover:not([disabled]):not([open])) {
    border-color: ${defaultRapidTextColor};
    background: ${defaultRapidBGColor};
  }

  :host([open][position='below']) .listbox {
    padding: 0;
    border-radius: 4px;
    border: 1px solid ${ColorHEX.lightGrey};
  }
`;
