import { defaultSearchBarConfig, foundationSearchBarShadowOptions, SearchBar as FoundationSearchBar, } from '@genesislcap/foundation-ui';
import { zeroSearchBarStyles as styles } from './search-bar.styles';
import { zeroSearchBarTemplate as template } from './search-bar.template';
/**
 * @tagname %%prefix%%-search-bar
 */
export class SearchBar extends FoundationSearchBar {
    constructor() {
        super(...arguments);
        this.appearance = 'neutral-grey';
    }
}
/**
 * The Zero Search Bar
 *
 * @public
 * @remarks
 * HTML Element: \<zero-search-bar\>
 */
export const zeroSearchBar = SearchBar.compose(Object.assign({ baseName: 'search-bar', template,
    styles, shadowOptions: foundationSearchBarShadowOptions }, defaultSearchBarConfig));
