import { html } from 'lit-html';
const meta = {
    title: 'Snackbar',
    component: 'zero-snackbar',
};
export default meta;
const showError = (errorText) => {
    var _a, _b;
    let snackbar = document.querySelector('#js-snackbar');
    let snackbarNotify = document.querySelector('#js-snackbar-notify');
    if (!snackbar) {
        snackbar = document.createElement('zero-snackbar');
        snackbar.id = 'js-snackbar';
        (_a = document.querySelector('#zero-snackbar')) === null || _a === void 0 ? void 0 : _a.appendChild(snackbar);
    }
    if (!snackbarNotify) {
        snackbarNotify = document.createElement('zero-snackbar');
        snackbarNotify.id = 'js-snackbar-notify';
        (_b = document.querySelector('#zero-snackbar')) === null || _b === void 0 ? void 0 : _b.appendChild(snackbar);
    }
    snackbar.error = {
        title: 'Error Title',
        errorDetails: `${errorText} ID - ${Math.random()}`,
        config: {
            snackbar: {
                type: 'error',
                confirmingActions: [
                    {
                        label: 'Action',
                        action: () => {
                            alert('Action in progress');
                        },
                    },
                ],
            },
        },
    };
    snackbar.notification = {
        title: 'Notification Title',
        body: `${errorText} ID - ${Math.random()}`,
        config: {
            snackbar: {
                type: 'error',
                confirmingActions: [
                    {
                        label: 'Action',
                        action: () => {
                            alert('Action in progress');
                        },
                    },
                ],
            },
        },
    };
};
const showNotification = (notoficationText) => {
    var _a;
    let snackbarNotify = document.querySelector('#js-snackbar-notify');
    if (!snackbarNotify) {
        snackbarNotify = document.createElement('zero-snackbar');
        snackbarNotify.id = 'js-snackbar-notify';
        (_a = document.querySelector('#zero-snackbar')) === null || _a === void 0 ? void 0 : _a.appendChild(snackbarNotify);
    }
    snackbarNotify.notification = {
        title: 'Notification Title',
        body: `${notoficationText} ID - Notify - ${Math.random()}`,
        config: {
            snackbar: {
                type: 'error',
                confirmingActions: [
                    {
                        label: 'Action',
                        action: () => {
                            alert('Action in progress');
                        },
                    },
                ],
            },
        },
    };
};
export const Primary = {
    args: {
        errorText: 'Lorem ipsum dolor sit amet consectetur adipisicing elit.',
        notificationText: 'Lorem ipsum dolor sit amet consectetur adipisicing elit.',
    },
    render: ({ errorText, notificationText }) => html `
    <div id="zero-snackbar" style="width: 100%;">
      <zero-button @click="${() => showError(errorText)}">Show Zero Snackbar</zero-button>
      <zero-button @click="${() => showNotification(notificationText)}">
        Show Zero Snackbar - Notification
      </zero-button>
    </div>
  `,
};
