import { faSizeValues } from '@genesislcap/foundation-ui';
import { html } from 'lit-html';
const meta = {
    title: 'Stacking Icons',
    component: 'zero-stacking-icons',
};
export default meta;
const iconSizeArgTypes = {
    control: 'select',
    options: ['stack-1x', 'stack-2x'],
    description: 'Select size for the icon',
};
const iconVariantArgTypes = {
    control: 'select',
    options: ['regular', 'solid', 'brand'],
    description: 'Select variant for the icon',
};
export const Configurable = {
    argTypes: {
        size: {
            control: 'select',
            options: faSizeValues,
            description: 'Select size for the stacking icons',
        },
        firstIconSize: iconSizeArgTypes,
        firstIconVariant: iconVariantArgTypes,
        secondIconSize: iconSizeArgTypes,
        secondIconVariant: iconVariantArgTypes,
    },
    args: {
        size: '1x',
        firstIconName: 'circle',
        firstIconSize: 'stack-2x',
        firstIconVariant: 'regular',
        secondIconName: 'flag',
        secondIconSize: 'stack-1x',
        secondIconVariant: 'solid',
    },
    render: ({ size, firstIconName, firstIconSize, firstIconVariant, secondIconName, secondIconSize, secondIconVariant, }) => html `
    <zero-stacking-icons size="${size}" style="color:#FFFFFF">
      <zero-icon
        name="${firstIconName}"
        size="${firstIconSize}"
        variant="${firstIconVariant}"
      ></zero-icon>
      <zero-icon
        name="${secondIconName}"
        size="${secondIconSize}"
        variant="${secondIconVariant}"
      ></zero-icon>
    </zero-stacking-icons>
  `,
};
